Upload Assets

Initialise upload

Initialise an upload.

post
https://bynder-public-us-east-1.s3-accelerate.amazonaws.com/api/upload/init

Headers

Content-Typestringrequired

Body

application/x-www-form-urlencoded
filenamestring

Example:image.jpeg

Response

application/json

Successful response

ApiUploadInitResponse

multipart_paramsobject
Show Child Parameters
s3_filenamestring

Example:pluploads/api/00000000-0000-0000-0000-000000000000/image.jpeg

s3fileobject
Show Child Parameters
target_keystring

Example:pluploads/api/00000000-0000-0000-0000-000000000000/image.jpeg

post/api/upload/init

Body

{}
 
application/json

Step 3A Upload file in chunks

This endpoint uploads a chunk of the file. You need to provide the file ID obtained from the prepare upload step and the chunk number (starting from 0). The request body should contain the binary data of the chunk being uploaded.

Upload file in chunks

Uploading a file consists of the following two parts:

1. Breaking down your file into parts/chunks

Each part must be at least 5 MB in size, except for the last part. There is no size limit on the last part of your multipart upload. For more information about how Amazon handles parts/chunks, visit Amazon’s website.

2. Sending the chunks to Amazon and registering them with Bynder

You can repeat these calls until your file has been uploaded completely.

Upload a chunk

Make a POST request to the Amazon upload endpoint you received from calling Get closest AmazonS3 upload endpoint. Use multipart/form-data to send all of the parameters included in the multipart_params of the previous request, plus the additional parameters listed below.

post
https://bynder-public-us-east-1.s3-accelerate.amazonaws.com/

Response

200
post/
 
200

Step 3B Register uploaded chunk

This endpoint finalizes the upload after all chunks have been uploaded. You need to provide the file ID and details about the file, including its name, size, and the number of chunks it was split into.

Register uploaded chunk

Register the completion of an uploaded chunk.

post
https://bynder-public-us-east-1.s3-accelerate.amazonaws.com/api/v4/upload/{uploadId}

Path Parameters

uploadIdstringrequired

Example:T3.fS5.5HPhtYFtm2b_.e7wVe910tL5XQutKw1jkMqlP5cPQVyZkOZxZ9lJiGUk4FIw6M0CFZ3xogTWrm.GPI2p2CaglQcAS5aH37zT_vHJnbtkebYbheXIQc_.M_6hM

Headers

Content-Typestringrequired

Body

application/x-www-form-urlencoded
chunkNumbernumber

required for every chunk

Example:5

filenamestring

required for every chunk

Example:api_uploads/00000000-0000-0000-0000000000000000/00000000-0000-0000-0000000000000000/Logo.png/p5

targetidstring

required for every chunk

Example:final/00000000-0000-0000-0000000000000000/Logo.png

Response

application/json

Chunk registered successfully

ApiV4UploadResponse

batchIdstring

Example:00000000-0000-0000-0000000000000000

fileobject
Show Child Parameters
filenamestring

Example:final/2ba07d00-586a-4a44-b13c-c58598cfe828/IMG_1874.JPG

importIdstring

Example:000000000-0000-0000-0000000000000000

locationTypestring

Example:s3

outputstring

Example:final/2ba07d00-586a-4a44-b13c-c58598cfe828/

statusstring

Only for chunk registration

Example:ok

successinteger

Example:1

post/api/v4/upload/{uploadId}

Body

{}
 
application/json